Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messagetypes
Class ReceptionReceipt

    java.lang.Object
      eu.osci.messagetypes.OSCIMessage
          eu.osci.messagetypes.OSCIRequestParent
              eu.osci.messagetypes.OSCIRequest
                  eu.osci.messagetypes.ReceptionReceipt

    public class ReceptionReceipt

extends OSCIRequest

Class to create and send ReceptionReceipt messages.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary

Fields inherited from class eu.osci.messagetypes.OSCIMessage
`text`

Constructor Summary
`ReceptionReceipt(EndpointLocator endpointLocator, javax.xml.ws.WebServiceFeature... _features)` Constructor for a ReceptionReceipt with an endpointLocator parameter and all necessary information.
`ReceptionReceipt(java.net.URL _wsdlURL, javax.xml.namespace.QName _serviceQName, javax.xml.namespace.QName _portQName, javax.xml.ws.WebServiceFeature... _features)` Constructor with the necessary parameters.

Method Summary
`org.w3c.dom.Document` | `createReceptionReceiptDocument(com.sun.xml.ws.api.message.HeaderList headerList)` This method creates a ReceptionReceipt object with the given parameter out of the SOAP message (HeaderList).
`org.w3c.dom.Document` | `createReceptionReceiptDocument(OSCIRequest msg)` This method creates a ReceptionReceipt object with the given parameter out of the OSCI message.
`static eu.osci.ws._2008._05.transport.ReceptionReceiptType` | `createReceptionReceiptObject(com.sun.xml.ws.api.message.HeaderList headerList)` This method creates a ReceptionReceipt object with the given parameter out of the SOAP message (HeaderList).
`static eu.osci.ws._2008._05.transport.ReceptionReceiptType` | `createReceptionReceiptObject(OSCIRequest msg)` This method creates a ReceptionReceipt object with the given OSCI message.
`OSCIResponse` | `sendMessage()` Sends the configured OSCI message with the underlying DOM document.

Methods inherited from class eu.osci.messagetypes.OSCIRequest
`addCompoundResult, addRelatesTo, getCompoundResult, getDeliveryReceiptDemand, getFetchedNotificationDemand, getMetaData, getMsgTimeStamps, getObsoleteAfter, getReceptionReceiptDemand, getRelatesTo, getRequestSecurityTokenResponseCollectionType, getX509TokenContainer, sendMessage, setCompoundResult, setDeliveryReceiptDemand, setDeliveryReceiptDemand, setDeliveryReceiptDemand, setFetchedNotificationDemand, setFetchedNotificationDemand, setFetchedNotificationDemand, setMsgTimeStamps, setObsoleteAfter, setReceptionReceiptDemand, setReceptionReceiptDemand, setReplyTo, setRequestSecurityTokenResponseCollectionType, setX509TokenContainer`

Methods inherited from class eu.osci.messagetypes.OSCIRequestParent
`getFaultTo, getFetchIteratorID, getFrom, getReplyTo, getTypeOfBusinessScenario, setFaultTo, setFrom, setTypeOfBusinessScenario`

Methods inherited from class eu.osci.messagetypes.OSCIMessage
`getAction, getAdditionalHeaderList, getMessageId, getTo, setAction, setAdditionalHeaderList, setMessageId, setTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceptionReceipt

    public ReceptionReceipt(EndpointLocator endpointLocator,
                            javax.xml.ws.WebServiceFeature... _features)

  Constructor for a ReceptionReceipt with an endpointLocator parameter and all necessary information.

  Parameters:
    `endpointLocator` - The configured EndpointLocator object.
    `_features` - To add other features for the endpoint (see Metro Api-Doc).

### ReceptionReceipt

    public ReceptionReceipt(java.net.URL _wsdlURL,
                            javax.xml.namespace.QName _serviceQName,
                            javax.xml.namespace.QName _portQName,
                            javax.xml.ws.WebServiceFeature... _features)

  Constructor with the necessary parameters. The URL to WSDL is given and the service and port out of it.

  Parameters:
    `_wsdlURL` - The URL to the WSDL.
    `_serviceQName` - The service that will be used.
    `_portQName` - The port name that will be used
    `_features` - To add other features for the endpoint (see Metro Api-Doc).

Method Detail

### createReceptionReceiptDocument

    public org.w3c.dom.Document createReceptionReceiptDocument(com.sun.xml.ws.api.message.HeaderList headerList)
                                                        throws javax.xml.datatype.DatatypeConfigurationException,
                                                               javax.xml.bind.JAXBException,
                                                               javax.xml.parsers.ParserConfigurationException

  This method creates a ReceptionReceipt object with the given parameter out of the SOAP message (HeaderList). This method returns a DOM document representing the ReceptionReceipt object for further processing. The created ReceptionReceipt is not complete, for example the signature, encryption and the timestamp is missing. The DOM document could be used to fill the missing information. After adding the information the method sendMessage() can be used to send the OSCI message because the DOM element has been already set. In cases of other transformation instead of DOM the message sendMessage(InputStream) with the complete ReceptionReceipt object must be set.

  Parameters:
    `headerList` - Header list of the OSCI message that will be received.
  Returns:
    The DOM document representing the ReceptionReceipt.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException`
    `javax.xml.bind.JAXBException`
    `javax.xml.parsers.ParserConfigurationException`

### createReceptionReceiptObject

    public static eu.osci.ws._2008._05.transport.ReceptionReceiptType createReceptionReceiptObject(com.sun.xml.ws.api.message.HeaderList headerList)
                                                                                            throws javax.xml.datatype.DatatypeConfigurationException,
                                                                                                   javax.xml.bind.JAXBException,
                                                                                                   javax.xml.parsers.ParserConfigurationException

  This method creates a ReceptionReceipt object with the given parameter out of the SOAP message (HeaderList). The created object will be returned for further processing. The created ReceptionReceipt is not complete, for example the signature, the encryption and the timestamp is missing. The JAXB object could be used to fill in the missing information. After adding the information the method sendMessage(InputStream) with the complete ReceptionReceipt object must be used. The created ReceptionReceipt object does not have any dependencies to this class.

  Parameters:
    `headerList` - Header list of the OSCI message that will be received.
  Returns:
    The created ReceptionReceipt object.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException`
    `javax.xml.bind.JAXBException`
    `javax.xml.parsers.ParserConfigurationException`

### createReceptionReceiptObject

    public static eu.osci.ws._2008._05.transport.ReceptionReceiptType createReceptionReceiptObject(OSCIRequest msg)
                                                                                            throws javax.xml.datatype.DatatypeConfigurationException,
                                                                                                   javax.xml.parsers.ParserConfigurationException,
                                                                                                   javax.xml.bind.JAXBException

  This method creates a ReceptionReceipt object with the given OSCI message. The created object will be returned for further processing. The created ReceptionReceipt is not complete, for example the signature, the encryption and the timestamp is missing. The JAXB object could be used to fill in the missing information. After adding the information the method sendMessage(InputStream) with the complete ReceptionReceipt object must be used. The created ReceptionReceipt object does not have any dependencies to this class.

  Parameters:
    `msg` - The OSCI message that will be received.
  Returns:
    The created ReceptionReceipt object.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException`
    `javax.xml.bind.JAXBException`
    `javax.xml.parsers.ParserConfigurationException`

### createReceptionReceiptDocument

    public org.w3c.dom.Document createReceptionReceiptDocument(OSCIRequest msg)
                                                        throws javax.xml.datatype.DatatypeConfigurationException,
                                                               javax.xml.parsers.ParserConfigurationException,
                                                               javax.xml.bind.JAXBException

  This method creates a ReceptionReceipt object with the given parameter out of the OSCI message. This method returns a DOM document representing the ReceptionReceipt object for further processing. The created ReceptionReceipt is not complete. For example the signature, encryption and the timestamp is missing. The DOM document could be used to fill in the missing information. After adding the information the method sendMessage without any parameter can be used to send the OSCI message because the DOM element has been already set. In cases of other transformation instead of DOM the message sendMessage(InputStream) with the complete ReceptionReceipt object must be set.

  Parameters:
    `msg` - The OSCI message that will be received.
  Returns:
    The DOM document representing the ReceptionReceipt.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException`
    `javax.xml.bind.JAXBException`
    `javax.xml.parsers.ParserConfigurationException`

### sendMessage

    public OSCIResponse sendMessage()
                             throws javax.xml.bind.JAXBException,
                                    OSCIException,
                                    javax.xml.transform.TransformerException

  Sends the configured OSCI message with the underlying DOM document. The entire header will be added to the SOAP message and the ReceptionReceipt will be put into the body element of the SOAP message.

  Returns:
    The OSCI response of the related request.
  Throws:
    `javax.xml.bind.JAXBException` - In case of parsing or serialisation errors.
    `OSCIException` - In case of OSCI SOAP faults.
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.